#!/bin/sh -f
#file name: [/usr/bin/toec_addprinter.sh ]
#
# pv - preview a specified page of a dvi file in a Ghostscript window
# usage: pv page file
#
# pv converts the given page to PostScript and displays it
# in a Ghostscript window.
#
#  echo usage: $0 'page_number file_name[.dvi]'

#USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep 102D |awk -F" " '{print $2}'`
#LPADMIN=$(which lpadmin)

#echo $LPADMIN
#echo $USB_NAME


device_name="OEP102D"
printer_name="OEP102D"
ppd_file_name="OEP102D.ppd"

uris=$(lpinfo -v)

for uri in $uris
do
        URI=$(echo $uri | grep ${device_name} | grep usb)
        if [ "$URI" != '' ];then
                break;
        fi
done

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep ${device_name} )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep -i TOEC | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi

if [ "$URI" = '' ];then
        for uri in $uris
        do
                URI=$(echo $uri | grep usb )
                if [ "$URI" != '' ];then
                        break;
                fi
        done
fi


if [ "$URI" = '' ];then
        #URI="usb:/dev/usb/lp0"
        USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep OEP102D? |awk -F" " '{print $2}'`
        USB_NAME1=`/usr/lib/cups/backend/usb |grep direct |grep OEP102D |awk -F" " '{print $2}'`
	URIUSB=''
        if [ -z "$USB_NAME" ];then
                if [ -z "$USB_NAME1" ];then
                        USB_NAME=''
                        echo "There is NO OEP102D plugin"
                elif [ -n "$USB_NAME1" ];then
                        URIUSB=$USB_NAME1
                        #$LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME1 -E
                        #$LPADMIN -d OEP102D
                fi
        elif [ -n "$USB_NAME" ];then
                if [ -z "$USB_NAME1" ];then
                        URIUSB=$USB_NAME
                        #$LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME -E
                        #$LPADMIN -d OEP102D
                elif [ -n "$USB_NAME1" ];then
                        URIUSB=$USB_NAME
                        #$LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME -E
                        #$LPADMIN -d OEP102D
                fi
        fi
	
	if [ "$URIUSB" != '' ]; then
		
		urisFind=$(lpstat -v)
        	echo $urisFind
        	for uri in $urisFind
        	do
                	echo $uri
                	URIFind=$(echo $uri | grep ${device_name} | grep usb)
                	if [ "$URIFind" != '' ];then
                        	break;
                	fi
        	done

        	if [ "$URIFind" = '' ];then

                	/usr/sbin/lpadmin -p $printer_name -E -v $URIUSB -m $ppd_file_name

                	/usr/sbin/lpadmin -d $printer_name
        	fi
	fi

else

	urisFind=$(lpstat -v)
        echo $urisFind
        for uri in $urisFind
        do
                echo $uri
                URIFind=$(echo $uri | grep ${device_name} | grep usb)
                if [ "$URIFind" != '' ];then
                        break;
                fi
        done

        if [ "$URIFind" = '' ];then

                /usr/sbin/lpadmin -p $printer_name -E -v $URI -m $ppd_file_name

                /usr/sbin/lpadmin -d $printer_name
        fi

fi

cupsenable OEP102D
service cups restart

#exit 0
